D_INVALIDATE(9)

NAME
d_invalidate - invalidate a dentry

SYNOPSIS

int d_invalidate (struct dentry * dentry);

ARGUMENTS

dentry
    dentry to invalidate

DESCRIPTION

Try to invalidate the dentry if it turns out to be possible. If there are other dentries that can be reached through this one we can't delete it and we return -EBUSY. On success we return 0.

no dcache lock.